<!DOCTYPE html>
<html>    
 <head> <!-- Entête HTML --> 
   <meta charset="utf-8" />
   <title>Conversion base</title>
 </head>
 <body>
 <?php
 define("WEB_EOL","<br>");
 // --- on récupère les données ---
 $nb   = $_POST['nb']  ;
 $base = $_POST['base'];
 // --- on traite les données ---
 $nb   = intval($nb)   ;
 $base = intval($base) ;

 $nb_initial = $nb ; 
 $diviseur = $base ;
 $affichage=''     ;
 $quotient = -1    ;
 while ($quotient != 0)
 {
    $reste    = $nb % $diviseur ;
    $quotient = ($nb-$reste) / $diviseur ;
    // --- Evolution prochaine iteration ---   
    $nb       = $quotient      ;

    // --- Mise en forme du résultat ---
    if (($reste >= 0) && ($reste <= 9))
        $lettre = chr($reste+48) ;
    else
        $lettre = chr($reste+55) ;        
    $affichage = $lettre.$affichage;
 }
 echo "$nb_initial en base $base = $affichage".WEB_EOL;
 ?>
 </body>
</html>
